RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1151171 - Allow to remove CD images through ovirt foreign menu
Summary: Allow to remove CD images through ovirt foreign menu
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libgovirt
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Christophe Fergeau
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1145121 1145126
Blocks: 1127156
TreeView+ depends on / blocked
 
Reported: 2014-10-09 17:12 UTC by Christophe Fergeau
Modified: 2015-03-05 09:27 UTC (History)
10 users (show)

Fixed In Version: libgovirt-0.3.1-3.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1145126
Environment:
Last Closed: 2015-03-05 09:27:20 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)
Engine.log file with the fail to unmount errors (847.42 KB, text/plain)
2015-01-30 16:20 UTC, Bill Sanford
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:0426 0 normal SHIPPED_LIVE new packages: libgovirt 2015-03-05 14:26:16 UTC

Description Christophe Fergeau 2014-10-09 17:12:09 UTC
+++ This bug was initially created as a clone of Bug #1145126 +++

It's currently possible to change the current CD image through the oVirt foreign menu support, but it's not possible to remove it. The remote-viewer patch seems simple, but this is also buggy server-side, so I haven't been able to test this works as expected.
Opening this bug to track this, and attaching the needed patch there.

--- Additional comment from RHEL Product and Program Management on 2014-09-22 08:37:22 EDT ---

Since this bug report was entered in bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

--- Additional comment from Christophe Fergeau on 2014-10-09 13:11:26 EDT ---

Patch at https://www.redhat.com/archives/virt-tools-list/2014-October/msg00067.html

Comment 1 Christophe Fergeau 2014-10-09 17:12:44 UTC
Need https://git.gnome.org/browse/libgovirt/commit/?id=bdb788fcc from libgovirt git.

Comment 4 Bill Sanford 2015-01-30 16:20:25 UTC
Created attachment 986043 [details]
Engine.log file with the fail to unmount errors

Comment 6 Bill Sanford 2015-01-30 20:44:32 UTC
Comment 4 and 5, I am going to open up a RHEV-M bug.

Comment 7 Bill Sanford 2015-02-02 18:17:26 UTC
This is verified as sanity only. 

<teuf> it will show up in virt-viewer, but needs work on the rhev side
<teuf> so most likely not available yet

Comment 8 Christophe Fergeau 2015-02-03 09:57:48 UTC
(In reply to Bill Sanford from comment #7)
> This is verified as sanity only. 
> 
> <teuf> it will show up in virt-viewer, but needs work on the rhev side
> <teuf> so most likely not available yet

Actually, I gave you misleading information (this totally slipped out of my mind), this can also be tested against a RHEV 3.5 instance (for example) through
remote-viewer --ovirt-ca-file=xxx.crt ovirt://ovirt.example.com/vm-name
Then you should get a "Change CD" menu in your remote-viewer window, from which you can test CD removal.

Comment 9 David Jaša 2015-02-04 14:19:59 UTC
(In reply to Christophe Fergeau from comment #8)
> ...
> Actually, I gave you misleading information (this totally slipped out of my
> mind), this can also be tested against a RHEV 3.5 instance (for example)
> through
> remote-viewer --ovirt-ca-file=xxx.crt ovirt://ovirt.example.com/vm-name
> Then you should get a "Change CD" menu in your remote-viewer window, from
> which you can test CD removal.

Yeah, this way the menu shows up and the CD is successfully inserted and changed (I don't see any option for plain eject however) --> removing SanityOnly.

Comment 11 errata-xmlrpc 2015-03-05 09:27:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-0426.html


Note You need to log in before you can comment on or make changes to this bug.